### Method

# Aravis Interface get_n_devices

since: 0.2.0

#### Declaration [src]

    unsigned int
    arv_interface_get_n_devices (
      ArvInterface* iface
    )

#### Description [src]

Queries the number of available devices on this interface. Prior to this call the `arv_interface_update_device_list` function must be called. The list content will not change until the next call of the update function.

Available since: 0.2.0

#### Return value

Type: `unsigned int`

The number of available devices.